Create a webhook
curl --request POST \
--url https://caliper.alpha-1edtech.ai/webhooks/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "My Webhook",
"description": "This webhook is used to send data to the example.com/webhook",
"targetUrl": "https://example.com/webhook",
"secret": "secret123",
"active": true,
"sensor": "sensor123"
}
'import requests
url = "https://caliper.alpha-1edtech.ai/webhooks/"
payload = {
"name": "My Webhook",
"description": "This webhook is used to send data to the example.com/webhook",
"targetUrl": "https://example.com/webhook",
"secret": "secret123",
"active": True,
"sensor": "sensor123"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'My Webhook',
description: 'This webhook is used to send data to the example.com/webhook',
targetUrl: 'https://example.com/webhook',
secret: 'secret123',
active: true,
sensor: 'sensor123'
})
};
fetch('https://caliper.alpha-1edtech.ai/webhooks/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"webhook": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "My Webhook",
"description": "This webhook is used to send data to the example.com/webhook",
"targetUrl": "https://example.com/webhook",
"secret": "secret123",
"active": true,
"createdAt": "2021-01-01T00:00:00.000Z",
"updatedAt": "2021-01-01T00:00:00.000Z",
"deletedAt": "2021-01-01T00:00:00.000Z",
"sensor": "sensor123"
}
}{
"error": "An error occurred",
"details": [
{
"code": "invalid_type",
"expected": "string",
"received": "undefined",
"path": [
"sensor"
],
"message": "Required"
}
]
}Webhooks
Create a webhook
Creates a new webhook
POST
/
webhooks
/
Create a webhook
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
The webhook to create
The name of the webhook
Example:
"My Webhook"
The description of the webhook
Example:
"This webhook is used to send data to the example.com/webhook"
The URL that the webhook will send the data to
Example:
"https://example.com/webhook"
The secret that the webhook will use to authenticate the data
Example:
"secret123"
Whether the webhook is active
Example:
true
The sensor that the webhook is associated with
Example:
"sensor123"
Response
Webhook created successfully
Show child attributes
Show child attributes
⌘I